﻿<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>FormViewコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:FormView ID="fv" runat="server" AllowPaging="True" CellPadding="4" DataKeyNames="isbn"
            DataSourceID="sds" ForeColor="#333333" HeaderText="FormViewコントロール">
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <EditRowStyle BackColor="#999999" />
            <EditItemTemplate>
                isbn:
                <asp:Label ID="isbnLabel1" runat="server" Text='<%# Eval("isbn") %>'></asp:Label><br />
                title:
                <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>'>
                </asp:TextBox><br />
                price:
                <asp:TextBox ID="priceTextBox" runat="server" Text='<%# Bind("price") %>'>
                </asp:TextBox><br />
                publish:
                <asp:TextBox ID="publishTextBox" runat="server" Text='<%# Bind("publish") %>'>
                </asp:TextBox><br />
                publishDate:
                <asp:TextBox ID="publishDateTextBox" runat="server" Text='<%# Bind("publishDate") %>'>
                </asp:TextBox><br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                    Text="更新">
                </asp:LinkButton>
                <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                    Text="キャンセル">
                </asp:LinkButton>
            </EditItemTemplate>
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <InsertItemTemplate>
                isbn:
                <asp:TextBox ID="isbnTextBox" runat="server" Text='<%# Bind("isbn") %>'>
                </asp:TextBox><br />
                title:
                <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>'>
                </asp:TextBox><br />
                price:
                <asp:TextBox ID="priceTextBox" runat="server" Text='<%# Bind("price") %>'>
                </asp:TextBox><br />
                publish:
                <asp:TextBox ID="publishTextBox" runat="server" Text='<%# Bind("publish") %>'>
                </asp:TextBox><br />
                publishDate:
                <asp:TextBox ID="publishDateTextBox" runat="server" Text='<%# Bind("publishDate") %>'>
                </asp:TextBox><br />
                <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                    Text="挿入">
                </asp:LinkButton>
                <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                    Text="キャンセル">
                </asp:LinkButton>
            </InsertItemTemplate>
            <ItemTemplate>
                isbn:
                <asp:Label ID="isbnLabel" runat="server" Text='<%# Eval("isbn") %>'></asp:Label><br />
                title:
                <asp:Label ID="titleLabel" runat="server" Text='<%# Bind("title") %>'></asp:Label><br />
                price:
                <asp:Label ID="priceLabel" runat="server" Text='<%# Bind("price") %>'></asp:Label><br />
                publish:
                <asp:Label ID="publishLabel" runat="server" Text='<%# Bind("publish") %>'></asp:Label><br />
                publishDate:
                <asp:Label ID="publishDateLabel" runat="server" Text='<%# Bind("publishDate") %>'></asp:Label><br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                    Text="編集"></asp:LinkButton>
                <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                    Text="削除"></asp:LinkButton>
                <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                    Text="新規作成"></asp:LinkButton>
            </ItemTemplate>
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        </asp:FormView>
        <asp:SqlDataSource ID="sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            DeleteCommand="DELETE FROM [books] WHERE [isbn] = @isbn" InsertCommand="INSERT INTO [books] ([isbn], [title], [price], [publish], [publishDate]) VALUES (@isbn, @title, @price, @publish, @publishDate)"
            SelectCommand="SELECT [isbn], [title], [price], [publish], [publishDate] FROM [books]"
            UpdateCommand="UPDATE [books] SET [title] = @title, [price] = @price, [publish] = @publish, [publishDate] = @publishDate WHERE [isbn] = @isbn">
            <DeleteParameters>
                <asp:Parameter Name="isbn" Type="String" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="price" Type="Int32" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
                <asp:Parameter Name="isbn" Type="String" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="isbn" Type="String" />
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="price" Type="Int32" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
            </InsertParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
