﻿<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub list_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs)
        If list.SelectedValue = "-" Then
            xds.XPath = "/books/book"
        Else
            xds.XPath = String.Format("/books/book[@publish='{0}']", list.SelectedValue)
        End If
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>XmlDataSourceコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:DropDownList ID="list" runat="server" AppendDataBoundItems="True" AutoPostBack="True"
            DataSourceID="sds" DataTextField="publish" DataValueField="publish" OnSelectedIndexChanged="list_SelectedIndexChanged">
            <asp:ListItem Selected="True" Value="-">選択してください</asp:ListItem>
        </asp:DropDownList><asp:SqlDataSource ID="sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            SelectCommand="SELECT DISTINCT [publish] FROM [books]"></asp:SqlDataSource>
        <asp:GridView ID="grid" runat="server" AllowPaging="True" AllowSorting="True"
            CellPadding="4" DataSourceID="xds" ForeColor="#333333" GridLines="None" AutoGenerateColumns="False" DataKeyNames="isbn">
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#E3EAEB" />
            <EditRowStyle BackColor="#7C6F57" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:ImageField DataAlternateTextField="title" DataImageUrlField="isbn" DataImageUrlFormatString="http://www.wings.msn.to/books/{0}/{0}_logo.jpg"
                    HeaderText="ロゴ">
                </asp:ImageField>
                <asp:HyperLinkField DataNavigateUrlFields="isbn" DataNavigateUrlFormatString="http://www.wings.msn.to/index.php/-/A-03/{0}/"
                    DataTextField="isbn" HeaderText="ISBNコード" />
                <asp:BoundField DataField="title" HeaderText="書名" />
                <asp:BoundField DataField="publish" HeaderText="出版社" />
                <asp:BoundField DataField="price" DataFormatString="{0:#,###円}" HeaderText="単価" HtmlEncode="False" />
                <asp:BoundField DataField="publishDate" DataFormatString="{0:yyyy年MM月dd日}" HeaderText="刊行日"
                    HtmlEncode="False" />
            </Columns>
        </asp:GridView>
        <asp:XmlDataSource ID="xds" runat="server" DataFile="~/App_Data/books.xml"></asp:XmlDataSource>
    
    </div>
    </form>
</body>
</html>
